<?xml version="1.0" encoding="UTF-8"?>
<service xmlns="http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11">
  <descriptivedata>
    <name></name>
    <description></description>
    <servicesubjects>
      <subject></subject>
      <subject></subject>
    </servicesubjects>
    <servicedetails>
      <author>
	<name></name>
	<email></email>
	<telephonenumber></telephonenumber>
	<institution></institution>
      </author>
      <version>
	<number></number>
	<creationdate>YYYY-MM-DD</creationdate>
      </version>
    </servicedetails>
    <servicedescriptiondetails>
      <author>
	<name></name>
	<email></email>
	<telephonenumber></telephonenumber>
	<institution></institution>
      </author>
      <version>
	<number></number>
	<creationdate>YYYY-MM-DD</creationdate>
	<lastmodificationdate>YYYY-MM-DD</lastmodificationdate>
      </version>
    </servicedescriptiondetails>
    <servicelicense uri="http://www.textgrid.de/TokenizerLicense.html" />
  </descriptivedata>
  <technicaldata>
    <type>soap</type>
    <operation></operation>
    <descriptionlocation uri="http://www.example.org/Service.wsdl"/>
    <targetnamespace uri="" usetns="false"/>
  </technicaldata>
  <inputs>
    <input param="" name="Input Text" mimetypes="text/plain,text/xml" optional="false" multiple="false" crud="false"/>
    <!-- multiple="true" would mean that the this input wouldn't take one data block/URI at a time, but possibly many, as in a collate service -->
    <!-- crud="true" would mean that the service knew how to read/readmetadata from Crud and this input param accepted a URI --> 
  </inputs>
  <outputs>
    <output param="" name="Output XML" mimetypes="text/xml" optional="false" multiple="false" crud="false"/>
    <!-- crud="true" would mean that the service knew how to create a new TGO via Crud and this output param returned a URI --> 
  </outputs>
  <configparameters>
    <configparameter param="" name="" needsB64encoding="true" optional="false" multiple="false" crud="false">
      <examplevalue id="A1" name="Example Configuration A" default="true" inline="true">PENvbmZpZz5hZHNma2phaHNkZsO2YXNkaGZhczwvQ29uZmlnPgo=</examplevalue>
      <examplevalue id="A2" name="Example Configuration B" default="false" inline="false">THIS:IS:A:TGO:URI</examplevalue>
    </configparameter>  
  </configparameters>
</service>
